Source

SageTeX / test

Diff from to
 #!/bin/sh
 
 # this runs Sage on the generated .sage files to see if they work ok
-# this is basically the spkg-check file
+
+# typesetting the example file requires TikZ version 2.00, as well as
+# tkz-berge.sty and tkz-graph.sty.
 
 typeset()
 {
-    pdflatex -interaction=nonstopmode $1
+    latex -interaction=nonstopmode $1
     if [ $? -ne 0 ]
     then
-        echo "Error typesetting $1! You likely need to install TikZ"
-        echo "(version 2.00 or newer) to fully test SageTeX."
+        echo "Error typesetting $1! To fully test SageTeX, make sure"
+        echo "LaTeX can find sagetex.sty, and that TikZ (version 2.00"
+        echo "or newer), tkz-berge.sty and tkz-graph.sty are installed."
         exit 1
     fi
 }
     fi
 }
 
+latex -version
+if [ $? -ne 0 ]
+then
+    echo "LaTeX isn't installed (or isn't in \$PATH). Skipping test of SageTeX spkg."
+    exit 0
+fi
+
+kpsewhich tkz-berge.sty
+if [ $? -ne 0 ]
+then
+    echo "Could not find tkz-berge.sty. Skipping test of SageTeX spkg."
+    exit 0
+fi
+
 typeset example.tex
 checkdotsage example